alter table CHANNEL add column display_name VARCHAR(50)
create index idxstarttime on PROGRAMME (start_time)
create index idxendtime on PROGRAMME (end_time)
alter table SOURCE_CHANNEL_MAPPING add column dvbsub_pid INTEGER
alter table SOURCE_CHANNEL_MAPPING add column dvbsub_composition_page_id INTEGER
alter table SOURCE_CHANNEL_MAPPING add column dvbsub_ancillary_page_id INTEGER
alter table SOURCE_CHANNEL_MAPPING add column dvbsub_all_services VARCHAR(255)
create table REMINDER (programme_oid int)
alter table RECORDING_SCHEDULE add column priority int
alter table RECORDING_SCHEDULE add column conversion_profile VARCHAR(50)
update RECORDING_SCHEDULE set priority = oid where recording_type > 0 and priority is null
alter table CAPTURE_SOURCE add column allocation_order int
update CAPTURE_SOURCE set allocation_order=oid where allocation_order is null
create table PREVIOUS_EPISODE (recording_group int, unique_identifier VARCHAR(50), create_date DATETIME)
create table YOUTUBE_VIDEO (filename VARCHAR(255), youtube_identifier VARCHAR(50), title VARCHAR(255), description VARCHAR(255), author VARCHAR(50), thumbnail_url VARCHAR(255),  create_date DATETIME, keep char(1))
update  "DIRECT_RECORDING_SOURCE" set card_type='AVerMedia M780 (Analog)' where card_type='AVerMedia M780'
alter table PLAYBACK_POSITION add column duration int
alter table PLAYBACK_POSITION add column last_watched DATETIME
update PLAYBACK_POSITION set last_watched = DATETIME('NOW') where last_watched is null