create table REDRAT_CHANNEL_CHANGER(capture_source_oid int, zero_pad TEXT(1), three_digit TEXT(1), send_enter TEXT(1), device_file TEXT(255))
create table BDA_RECORDING_SOURCE (capture_source_oid int, board int, card_type TEXT(255), transponder_filename TEXT(255), lnb_lof1 int, lnb_switch int, lnb_lof2 int)
alter table SOURCE_CHANNEL_MAPPING add column tuning_request TEXT(255)
ALTER TABLE SOURCE_CHANNEL_MAPPING ALTER COLUMN tuning_request TEXT(250)
create table MYBLASTER_CHANNEL_CHANGER (capture_source_oid int, zero_pad TEXT(1), three_digit TEXT(1), send_enter TEXT(1), device_file TEXT(255))
create table REOCCURING_EXTRAS (recording_group int, max_files int, day_mask int, reoccurrance_type int, first_run_only TEXT(1))
alter table RECORDING_SCHEDULE drop constraint FK_RECORDIN_REFERENCE_CAPTURE_
alter table BDA_RECORDING_SOURCE add column diseqc int
alter table BDA_RECORDING_SOURCE add column powered TEXT(1)
update BDA_RECORDING_SOURCE set diseqc=0, powered='Y' where diseqc is null
alter table SOURCE_CHANNEL_MAPPING add column wst_subtitle_page int
update SOURCE_CHANNEL_MAPPING set wst_subtitle_page=0 where wst_subtitle_page is null
create table FM_RADIO_STATION (frequency int, station_name TEXT(128))
create table TRANSCODE_QUEUE (scheduled_recording_oid int)
alter table TRANSCODE_QUEUE add column status int
alter table TRANSCODE_QUEUE add column percentage int
create table GENRE (oid counter not null, genre_name TEXT(64), argb_color TEXT(10))
create table PROGRAMME_GENRE (oid counter not null, programme_oid int, genre_oid int)
alter table PROGRAMME add column rating TEXT(32)
create table MCE2005_CHANNEL_CHANGER (capture_source_oid int, zero_pad TEXT(1), three_digit TEXT(1), send_enter TEXT(1), blaster int, device_file TEXT(255))
delete from TRANSCODE_QUEUE
alter table CAPTURE_SOURCE add column parent_oid int
create index idx_CaptOID on CAPTURE_SOURCE (oid)
create index idx_ChanOID on CHANNEL (oid)
create index idx_ProgOID on PROGRAMME (oid)
create index idx_ProgGenreOID on PROGRAMME_GENRE (programme_oid)
create index idx_GenreOID on GENRE (oid)
update DIRECT_RECORDING_SOURCE set card_type='Hauppauge WinTV PVR USB2' where card_type='Hauppauge WinTV PVR2 USB'
alter table CHANNEL add column favourite_channel TEXT(1)
update CHANNEL set favourite_channel = 'Y' where favourite=true
update CHANNEL set favourite_channel = 'N' where favourite=false
delete from PROGRAMME_GENRE where not exists (select 1 from PROGRAMME p where PROGRAMME_GENRE.programme_oid = p.oid)
ALTER TABLE PROGRAMME_GENRE ADD CONSTRAINT FK_Programme FOREIGN KEY (programme_oid) REFERENCES PROGRAMME (oid) ON DELETE CASCADE
delete from FM_RADIO_STATION where station_name = 'UNKNOWN'
alter table CHANNEL add column display_name VARCHAR(50)
alter table SOURCE_CHANNEL_MAPPING add column dvbsub_pid int
alter table SOURCE_CHANNEL_MAPPING add column dvbsub_composition_page_id int
alter table SOURCE_CHANNEL_MAPPING add column dvbsub_ancillary_page_id int
alter table SOURCE_CHANNEL_MAPPING add column dvbsub_all_services VARCHAR(255)
create table REMINDER (programme_oid int)
alter table RECORDING_SCHEDULE add column priority int
alter table RECORDING_SCHEDULE add column conversion_profile VARCHAR(50)
update RECORDING_SCHEDULE set priority = oid where recording_type > 0 and priority is null
alter table CAPTURE_SOURCE add column allocation_order int
update CAPTURE_SOURCE set allocation_order=oid 
create table PREVIOUS_EPISODE (recording_group int, unique_identifier VARCHAR(50), create_date DATETIME)
create table YOUTUBE_VIDEO (filename VARCHAR(255), youtube_identifier VARCHAR(50), title VARCHAR(255), description VARCHAR(255), author VARCHAR(50), thumbnail_url VARCHAR(255),  create_date DATETIME, keep char(1))
update  "DIRECT_RECORDING_SOURCE" set card_type='AVerMedia M780 (Analog)' where card_type='AVerMedia M780'
alter table PLAYBACK_POSITION add column duration int
alter table PLAYBACK_POSITION add column last_watched DATETIME